# ChangeLog for media-sound/amarok
# Copyright 2000-2007 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/media-sound/amarok/ChangeLog,v 1.213 2007/02/24 10:20:51 corsair Exp $

  24 Feb 2007; Markus Rothe <corsair@gentoo.org> amarok-1.4.5-r1.ebuild:
  Stable on ppc64; bug #166901

  21 Feb 2007; Tobias Scherbaum <dertobi123@gentoo.org>
  amarok-1.4.5-r1.ebuild:
  Stable on ppc wrt bug #166901.

  19 Feb 2007; <malc@gentoo.org> amarok-1.4.5-r1.ebuild:
  Stable on amd64 wrt security bug #166901

  17 Feb 2007; Markus Rothe <corsair@gentoo.org> amarok-1.4.5-r1.ebuild:
  Added ~ppc64

  15 Feb 2007; Gustavo Zacarias <gustavoz@gentoo.org>
  amarok-1.4.5-r1.ebuild:
  Stable on sparc wrt security #166901

  15 Feb 2007; Christian Faulhammer <opfer@gentoo.org>
  amarok-1.4.5-r1.ebuild:
  stable x86; security bug 166901

  14 Feb 2007; Diego Pettenò <flameeyes@gentoo.org>
  files/amarok-1.4.5-magnatune.patch:
  Fix the patch, use the proper one.

*amarok-1.4.5-r1 (14 Feb 2007)

  14 Feb 2007; Diego Pettenò <flameeyes@gentoo.org>
  -files/amarok-1.4.3-playlist-encoding.patch,
  +files/amarok-1.4.5-magnatune.patch, -amarok-1.4.4-r4.ebuild,
  -amarok-1.4.5.ebuild, +amarok-1.4.5-r1.ebuild:
  Version bump, adding a patch to fix a possible security flaw in the
  magnatune store support (KDE BUG #138499). Also add unzip as runtime
  dependency as it is used for the magnatune shop.

  06 Feb 2007; Diego Pettenò <flameeyes@gentoo.org> amarok-1.4.5.ebuild:
  Fix dependency for amarok 1.4.5, libgpod 0.4.2 is needed at least.

  05 Feb 2007; Diego Pettenò <flameeyes@gentoo.org> amarok-1.4.5.ebuild:
  Add ~ppc as requested by lu_zero in bug #164242.

  05 Feb 2007; Gustavo Zacarias <gustavoz@gentoo.org> amarok-1.4.5.ebuild:
  Rekeyworded ~sparc wrt #164242

  05 Feb 2007; Diego Pettenò <flameeyes@gentoo.org> ChangeLog:
  Update digest.

  05 Feb 2007; Jeroen Roovers <jer@gentoo.org> files/digest-amarok-1.4.5,
  Manifest:
  Fix the 1.4.5 digest for mabi.

  04 Feb 2007; Matti Bickel <mabi@gentoo.org> amarok-1.4.4-r4.ebuild:
  readd ~ppc (bug #164242)

  01 Feb 2007; Diego Pettenò <flameeyes@gentoo.org> amarok-9999-r1.ebuild:
  Update not to use trunk anymore for Live SVN.

*amarok-1.4.5 (01 Feb 2007)

  01 Feb 2007; Diego Pettenò <flameeyes@gentoo.org> +amarok-1.4.5.ebuild,
  amarok-9999-r1.ebuild:
  Version bump (pre-release), and update also 9999-r1 to have a daap useflag
  to disable mongrel dependency.

  31 Jan 2007; Gustavo Zacarias <gustavoz@gentoo.org>
  amarok-1.4.4-r4.ebuild:
  Keyworded ~sparc wrt #164242

*amarok-9999-r1 (28 Jan 2007)
*amarok-1.4.4-r4 (28 Jan 2007)

  28 Jan 2007; Diego Pettenò <flameeyes@gentoo.org>
  -amarok-1.4.3-r1.ebuild, amarok-1.4.4-r3.ebuild, +amarok-1.4.4-r4.ebuild,
  -amarok-9999.ebuild, +amarok-9999-r1.ebuild:
  Remove old version; revision bump fo both 1.4.4 release and live Subversion
  ebuild to depend on mongrel rather than building and installing its own
  copy. This drops ~ppc ~ppc64 and ~sparc keywords.

  25 Jan 2007; Diego Pettenò <flameeyes@gentoo.org> amarok-9999.ebuild:
  Replace -* keyword with empty keywords.

  19 Jan 2007; Diego Pettenò <flameeyes@gentoo.org>
  +files/amarok-1.4.4+libgpod-0.4.0.patch, amarok-1.4.4-r3.ebuild:
  Add patch to fix building with newer versions of libgpod; closes bug
  #162725; thanks to Alessio Cassiba for reporting, and Olivier Crete for
  pointing out the problem.

  31 Dec 2006; Diego Pettenò <flameeyes@gentoo.org> amarok-9999.ebuild:
  As the current SVN version requires a newer libmtp, make the 9999 ebuild
  require it too, even if it's not in portage.

*amarok-9999 (28 Dec 2006)

  28 Dec 2006; Diego Pettenò <flameeyes@gentoo.org> +amarok-9999.ebuild:
  Add a live SVN version of Amarok. Although not supported and a bad idea in
  general, it would save me from supporting people with old and broken
  unofficial amarok-svn ebuilds that usually waste my time.

  26 Dec 2006; Diego Pettenò <flameeyes@gentoo.org>
  files/digest-amarok-1.4.4-r3, Manifest:
  Fix digest.

  26 Dec 2006; Gustavo Zacarias <gustavoz@gentoo.org>
  amarok-1.4.4-r3.ebuild:
  Stable on sparc wrt #158836

  25 Dec 2006; Andrej Kacian <ticho@gentoo.org> amarok-1.4.4-r3.ebuild:
  Stable on x86, bug #158836.

  23 Dec 2006; Matti Bickel <mabi@gentoo.org> amarok-1.4.4-r3.ebuild:
  ppc stable (bug #158836)

  23 Dec 2006; Markus Rothe <corsair@gentoo.org> amarok-1.4.4-r3.ebuild:
  Stable on ppc64; bug #158836

*amarok-1.4.4-r3 (22 Dec 2006)

  22 Dec 2006; Diego Pettenò <flameeyes@gentoo.org>
  -files/amarok-1.4.4-asneeded.patch,
  -files/amarok-1.4.4-lastfm+xine-lib-1.1.3.patch,
  -files/amarok-1.4.4-musicbrainz.patch,
  -files/amarok-1.4.4-podcast-fix.patch, -files/amarok-1.4.4-sparc.patch,
  amarok-1.4.3-r1.ebuild, -amarok-1.4.4.ebuild, -amarok-1.4.4-r1.ebuild,
  -amarok-1.4.4-r2.ebuild, +amarok-1.4.4-r3.ebuild:
  Add patch to fix bug #157752 thanks to Grant McDorman for reporting; correct
  dependency for postgresql/libpq, thanks to Julien Allanos in bug #158812;
  remove old version, move patches on their own tarball to reduce size of
  filesdir.

  01 Dec 2006; Gustavo Zacarias <gustavoz@gentoo.org>
  amarok-1.4.4-r2.ebuild:
  Keyworded ~sparc wrt #156599

  01 Dec 2006; Markus Rothe <corsair@gentoo.org> amarok-1.4.4-r2.ebuild:
  Added ~ppc64; bug #156599

  01 Dec 2006; Diego Pettenò <flameeyes@gentoo.org>
  files/digest-amarok-1.4.3-r1, Manifest:
  Fix digest, see bug #156834.

  30 Nov 2006; Matti Bickel <mabi@gentoo.org> amarok-1.4.4-r2.ebuild:
  Rekeyworded ~ppc (bug #156599)

*amarok-1.4.4-r2 (30 Nov 2006)

  30 Nov 2006; Diego Pettenò <flameeyes@gentoo.org>
  +files/amarok-1.4.4-lastfm+xine-lib-1.1.3.patch, +amarok-1.4.4-r2.ebuild:
  Add patch to fix Last.FM playback with xine-lib 1.1.3.

*amarok-1.4.4-r1 (29 Nov 2006)

  29 Nov 2006; Diego Pettenò <flameeyes@gentoo.org>
  +files/amarok-1.4.4-musicbrainz.patch, +amarok-1.4.4-r1.ebuild:
  Add patch to fix musicbrainz support, and add the useflag back now that it
  does work when cancelling.

  23 Nov 2006; Francesco Riosa <vivo@gentoo.org> amarok-1.4.3-r1.ebuild,
  amarok-1.4.4.ebuild:
  dev-db/mysql => virtual/mysql

  22 Nov 2006; Joseph Jezak <josejx@gentoo.org> amarok-1.4.4.ebuild:
  Marked ~ppc for bug #153024.

  19 Nov 2006; Diego Pettenò <flameeyes@gentoo.org>
  +files/amarok-1.4.4-asneeded.patch, amarok-1.4.4.ebuild:
  Add patch to fix building with libgpod and --as-needed (bug #154022). Thanks
  to Timothy (drizzt) who gave me the patch.

  15 Nov 2006; Markus Rothe <corsair@gentoo.org> amarok-1.4.4.ebuild:
  Added ~ppc64; bug #153024

  09 Nov 2006; Gustavo Zacarias <gustavoz@gentoo.org> amarok-1.4.4.ebuild:
  Rekeywording ~sparc wrt #153024

  08 Nov 2006; Diego Pettenò <flameeyes@gentoo.org>
  +files/amarok-1.4.4-sparc.patch, amarok-1.4.4.ebuild:
  Add patch to allow building on SPARC, see bug #153024. Thanks to Jason Wever
  for reporting and Jurij Smakov for the patch.

  06 Nov 2006; Diego Pettenò <flameeyes@gentoo.org> amarok-1.4.3-r1.ebuild,
  amarok-1.4.4.ebuild:
  Remove xmms useflag (upstream is going to remove it on their own releases
  soon anyway).

  02 Nov 2006; Diego Pettenò <flameeyes@gentoo.org>
  +files/amarok-1.4.4-podcast-fix.patch, amarok-1.4.4.ebuild:
  Add micro-fix for podcasts, as reported by jaervosz.

*amarok-1.4.4 (27 Oct 2006)

  27 Oct 2006; Diego Pettenò <flameeyes@gentoo.org>
  -files/amarok-1.4.0a-strict-aliasing.patch, -amarok-1.3.8.ebuild,
  -amarok-1.4.0a-r1.ebuild, +amarok-1.4.4.ebuild:
  Remove old versions, and add the new 1.4.4 not released yet.

  21 Oct 2006; Diego Pettenò <flameeyes@gentoo.org> amarok-1.4.3-r1.ebuild:
  Allow using libgpod 0.4 with 1.4.3 version.

  20 Oct 2006; Simon Stelling <blubb@gentoo.org> amarok-1.4.3-r1.ebuild:
  stable on amd64

  18 Oct 2006; Joshua Jackson <tsunam@gentoo.org> amarok-1.4.3-r1.ebuild:
  Stable x86; bug #150988

  14 Oct 2006; Joseph Jezak <josejx@gentoo.org> amarok-1.4.3-r1.ebuild:
  Marked ppc stable for bug #150988.

  14 Oct 2006; Markus Rothe <corsair@gentoo.org> amarok-1.4.3-r1.ebuild:
  Stable on ppc64; bug #150988

  14 Oct 2006; Jason Wever <weeve@gentoo.org> amarok-1.4.3-r1.ebuild:
  Stable on SPARC wrt bug #150988.

  12 Oct 2006; Diego Pettenò <flameeyes@gentoo.org>
  -files/amarok-1.4.1-libvisual.patch, -files/amarok-1.4.2-20restarts.patch,
  -files/amarok-1.4.2-audiocd-freeze.patch,
  -files/amarok-1.4.2-collection-sqlite.patch,
  -files/amarok-1.4.2-libmtp.patch, amarok-1.4.0a-r1.ebuild,
  -amarok-1.4.1-r3.ebuild, -amarok-1.4.2-r1.ebuild, -amarok-1.4.3.ebuild,
  amarok-1.4.3-r1.ebuild:
  Fix libgpod dependency on 0.3 version as 0.4 is not supported (see bug
  #150983); remove old versions as the new target stable is 1.4.3-r1.

*amarok-1.4.3-r1 (15 Sep 2006)

  15 Sep 2006; Diego Pettenò <flameeyes@gentoo.org>
  +files/amarok-1.4.3-playlist-encoding.patch, +amarok-1.4.3-r1.ebuild:
  Add patch from upstream to fix playlist encoding problems.

  05 Sep 2006; Diego Pettenò <flameeyes@gentoo.org> amarok-1.4.3.ebuild:
  Disable libmtp for now, avoid automagic dependency.

  05 Sep 2006; Gustavo Zacarias <gustavoz@gentoo.org> amarok-1.4.3.ebuild:
  Rekeyworded ~sparc

*amarok-1.4.3 (05 Sep 2006)

  05 Sep 2006; Diego Pettenò <flameeyes@gentoo.org> +amarok-1.4.3.ebuild:
  Version bump.

*amarok-1.4.2-r1 (31 Aug 2006)

  31 Aug 2006; Diego Pettenò <flameeyes@gentoo.org>
  +files/amarok-1.4.2-20restarts.patch,
  +files/amarok-1.4.2-audiocd-freeze.patch,
  +files/amarok-1.4.2-collection-sqlite.patch,
  +files/amarok-1.4.2-libmtp.patch, -amarok-1.4.1-r1.ebuild,
  -amarok-1.4.1-r2.ebuild, -amarok-1.4.2_beta1.ebuild,
  +amarok-1.4.2-r1.ebuild:
  Version bump (-r1 as this is not a vanilla version and I want to bump who
  has already a local 1.4.2 copy for sure). Remove old versions.

  08 Aug 2006; Simon Stelling <blubb@gentoo.org> amarok-1.4.0a-r1.ebuild:
  stable on amd64

  05 Aug 2006; Jason Wever <weeve@gentoo.org> amarok-1.4.1-r3.ebuild:
  Re-added ~sparc keyword wrt bug #140243.

*amarok-1.4.2_beta1 (30 Jul 2006)

  30 Jul 2006; Diego Pettenò <flameeyes@gentoo.org>
  +amarok-1.4.2_beta1.ebuild:
  Version bump (beta version).

*amarok-1.4.1-r3 (27 Jul 2006)

  27 Jul 2006; Diego Pettenò <flameeyes@gentoo.org>
  +files/amarok-1.4.1-libvisual.patch, +amarok-1.4.1-r3.ebuild:
  Add patch t fix libvisual 0.4 support, thanks to Ian Monroe for providing
  the commit diff. Closes bug #140563.

  26 Jul 2006; Diego Pettenò <flameeyes@gentoo.org> amarok-1.4.1-r2.ebuild:
  Remove special case for automake 1.9, the ebuild forces that already when
  needed.

  25 Jul 2006; Diego Pettenò <flameeyes@gentoo.org> amarok-1.3.8.ebuild,
  amarok-1.4.0a-r1.ebuild, amarok-1.4.1-r1.ebuild, amarok-1.4.1-r2.ebuild:
  Remove musicbrainz support as per bug #140184.

  20 Jul 2006; Markus Rothe <corsair@gentoo.org> amarok-1.4.1-r2.ebuild:
  Added ~ppc64; bug #140243

  18 Jul 2006; Joshua Jackson <tsunam@gentoo.org> amarok-1.4.0a-r1.ebuild:
  Stable x86; bug #139095

*amarok-1.4.1-r2 (13 Jul 2006)

  13 Jul 2006; Diego Pettenò <flameeyes@gentoo.org>
  +amarok-1.4.1-r2.ebuild:
  Add njb useflag to enable device support, as per bug #140240.

  08 Jul 2006; Stephanie Lockwood-Childs <wormo@gentoo.org>
  amarok-1.4.0a-r1.ebuild:
  stable on ppc (Bug #139095)

  05 Jul 2006; Joshua Jackson <tsunam@gentoo.org> amarok-1.4.0a-r1.ebuild:
  Stable x86; bug #139095

  04 Jul 2006; Gustavo Zacarias <gustavoz@gentoo.org>
  amarok-1.4.0a-r1.ebuild:
  Stable on sparc wrt #139095

  04 Jul 2006; Markus Rothe <corsair@gentoo.org> amarok-1.4.0a-r1.ebuild:
  Stable on ppc64; bug #139095

  03 Jul 2006; Diego Pettenò <flameeyes@gentoo.org> amarok-1.4.1-r1.ebuild:
  Remove pl docs, as they were broken on release.

*amarok-1.4.1-r1 (03 Jul 2006)

  03 Jul 2006; Diego Pettenò <flameeyes@gentoo.org> -amarok-1.4.1.ebuild,
  +amarok-1.4.1-r1.ebuild:
  Rename lastfm.protocol file to amaroklasfm.protocol to avoid collisions with
  lastfmplayer. Thanks to Michael Weyershäuser in bug #139032.

*amarok-1.4.1 (03 Jul 2006)

  03 Jul 2006; Diego Pettenò <flameeyes@gentoo.org> -amarok-1.4.0a.ebuild,
  -amarok-1.4.1_beta1.ebuild, +amarok-1.4.1.ebuild:
  Bump to latest version and remove old ones.

*amarok-1.4.1_beta1 (18 Jun 2006)

  18 Jun 2006; Diego Pettenò <flameeyes@gentoo.org>
  +amarok-1.4.1_beta1.ebuild:
  Add new version (beta).

*amarok-1.4.0a-r1 (18 Jun 2006)

  18 Jun 2006; Diego Pettenò <flameeyes@gentoo.org>
  +files/amarok-1.4.0a-strict-aliasing.patch, +amarok-1.4.0a-r1.ebuild:
  Add patch to fix strict-aliasing breakage.

  08 Jun 2006; Diego Pettenò <flameeyes@gentoo.org> amarok-1.4.0a.ebuild:
  Update description line for 1.4.0a ebuild as now it's Amarok rather than
  amaroK.

  28 May 2006; Diego Pettenò <flameeyes@gentoo.org> amarok-1.3.8.ebuild,
  amarok-1.4.0a.ebuild:
  Fix libvisual-plugins dependency on the 0.2 slot.

  25 May 2006; Diego Pettenò <flameeyes@gentoo.org> amarok-1.4.0a.ebuild:
  Remove xx value for translation.

  24 May 2006; Diego Pettenò <flameeyes@gentoo.org> amarok-1.4.0a.ebuild:
  Add ~x86-fbsd keyword.

*amarok-1.4.0a (18 May 2006)

  18 May 2006; Diego Pettenò <flameeyes@gentoo.org>
  -files/amarok-1.4.0-audiocd.patch, -files/amarok-1.4.0-collectiondb.patch,
  -amarok-1.4.0-r2.ebuild, +amarok-1.4.0a.ebuild:
  New upstream release to fix issues when migrating from 1.3 version, should
  also fix bug #133647.

*amarok-1.4.0-r2 (16 May 2006)

  16 May 2006; Diego Pettenò <flameeyes@gentoo.org>
  +files/amarok-1.4.0-collectiondb.patch, -amarok-1.4.0-r1.ebuild,
  +amarok-1.4.0-r2.ebuild:
  Add patch to fix leaks on connection db.

*amarok-1.4.0-r1 (15 May 2006)

  15 May 2006; Diego Pettenò <flameeyes@gentoo.org>
  +files/amarok-1.4.0-audiocd.patch, -amarok-1.4.0.ebuild,
  +amarok-1.4.0-r1.ebuild:
  Add patch from Markus Kaufhold in KDE bug #127388 to fix audiocd playing
  with xine engine.

  15 May 2006; Diego Pettenò <flameeyes@gentoo.org> amarok-1.4.0.ebuild:
  Force usage of gentoo mirrors.

*amarok-1.4.0 (14 May 2006)

  14 May 2006; Diego Pettenò <flameeyes@gentoo.org>
  -amarok-1.4_beta3-r2.ebuild, +amarok-1.4.0.ebuild:
  Update to 1.4.0 release (still not officially announced). This version
  intentionally drops GStreamer support. It might return in 1.4.1, but please
  don't bug me about that, talk with upstream.

  08 May 2006; Tobias Scherbaum <dertobi123@gentoo.org>
  amarok-1.4_beta3-r2.ebuild:
  Added to ~ppc

  05 May 2006; Diego Pettenò <flameeyes@gentoo.org> -amarok-1.3.6.ebuild,
  -amarok-1.3.9.ebuild:
  Drop old versions.

  28 Apr 2006; Marien Zwart <marienz@gentoo.org> files/digest-amarok-1.3.6,
  files/digest-amarok-1.3.8, Manifest:
  Fixing SHA256 digest, pass four

  17 Apr 2006; Markus Rothe <corsair@gentoo.org> amarok-1.4_beta3-r2.ebuild:
  Added ~ppc64; bug #129409

  12 Apr 2006; Diego Pettenò <flameeyes@gentoo.org>
  amarok-1.4_beta3-r2.ebuild:
  Drop akode dep (the engine is no more already) and kioslaves support. Thanks
  to eean for noticing this.

*amarok-1.4_beta3-r2 (11 Apr 2006)

  11 Apr 2006; Diego Pettenò <flameeyes@gentoo.org>
  -amarok-1.4_beta3-r1.ebuild, +amarok-1.4_beta3-r2.ebuild:
  Update to 1.4-beta3c and re-enable helix.

  11 Apr 2006; Jason Wever <weeve@gentoo.org> amarok-1.4_beta3-r1.ebuild:
  Added ~sparc keyword wrt bug #129409.

  11 Apr 2006; Diego Pettenò <flameeyes@gentoo.org>
  amarok-1.4_beta3-r1.ebuild:
  Disable helix engine until the missing include file is fixed.

  10 Apr 2006; Diego Pettenò <flameeyes@gentoo.org> metadata.xml:
  Make myself direct maintaner of amarok.

*amarok-1.4_beta3-r1 (10 Apr 2006)

  10 Apr 2006; Diego Pettenò <flameeyes@gentoo.org>
  -amarok-1.4_beta3.ebuild, +amarok-1.4_beta3-r1.ebuild:
  Add 1.4_beta3b (as -r1).

  10 Apr 2006; Diego Pettenò <flameeyes@gentoo.org>
  amarok-1.4_beta3.ebuild:
  Make xine the default backend always enabled. gstreamer can be added as extra.

*amarok-1.4_beta3 (10 Apr 2006)

  10 Apr 2006; Diego Pettenò <flameeyes@gentoo.org>
  -amarok-1.4_beta2-r1.ebuild, +amarok-1.4_beta3.ebuild:
  Version bump, dropped ~ppc ~ppc64 and ~sparc keywords because of missing
  dependencies. This version will go in ~arch.

  27 Mar 2006; Diego Pettenò <flameeyes@gentoo.org> amarok-1.3.9.ebuild:
  Restrict mirroring of 1.3.9 release and update digest as the tarball was
  changed upstream.

  26 Mar 2006; Diego Pettenò <flameeyes@gentoo.org> amarok-1.3.9.ebuild:
  Remove Polish doc as it's broken in 1.3.9 package.

*amarok-1.3.9 (26 Mar 2006)

  26 Mar 2006; Diego Pettenò <flameeyes@gentoo.org> +amarok-1.3.9.ebuild:
  Version bump.

  15 Mar 2006; Luis Medinas <metalgod@gentoo.org> amarok-1.3.8.ebuild:
  Stable on amd64. Bug #122609.

  15 Mar 2006; Diego Pettenò <flameeyes@gentoo.org>
  amarok-1.4_beta2-r1.ebuild:
  Drop --without-ifp line, was an artifact.

  07 Mar 2006; Diego Pettenò <flameeyes@gentoo.org>
  -amarok-1.4_beta2.ebuild, amarok-1.4_beta2-r1.ebuild:
  Add ifp useflag to enable iRiver access; thanks to Gabriel Devenyi in bug
  #122634.

*amarok-1.4_beta2-r1 (05 Mar 2006)

  05 Mar 2006; Diego Pettenò <flameeyes@gentoo.org>
  +amarok-1.4_beta2-r1.ebuild:
  Add -r1 which installs itself in /usr, finally avoid installing in kde's
  prefix.

*amarok-1.4_beta2 (05 Mar 2006)

  05 Mar 2006; Diego Pettenò <flameeyes@gentoo.org>
  -amarok-1.4_beta1.ebuild, -amarok-1.4_beta1-r1.ebuild,
  +amarok-1.4_beta2.ebuild:
  Add amarok 1.4_beta2.

*amarok-1.4_beta1-r1 (03 Mar 2006)

  03 Mar 2006; Diego Pettenò <flameeyes@gentoo.org>
  +amarok-1.4_beta1-r1.ebuild:
  Add new revision using gstreamer 0.10. Test required.

  20 Feb 2006; Gustavo Zacarias <gustavoz@gentoo.org> amarok-1.3.8.ebuild:
  Stable on sparc wrt #122609

  19 Feb 2006; Diego Pettenò <flameeyes@gentoo.org>
  amarok-1.4_beta1.ebuild:
  Add optional support for helix engine (only with realplayer at the moment).

  19 Feb 2006; Chris White <chriswhite@gentoo.org> amarok-1.3.8.ebuild:
  x86 stable per bug #122609.

  17 Feb 2006; Joseph Jezak <josejx@gentoo.org> amarok-1.3.8.ebuild:
  Marked ppc stable for bug #122609.

  17 Feb 2006; Markus Rothe <corsair@gentoo.org> amarok-1.3.8.ebuild:
  Stable on ppc64; bug #122609

  13 Feb 2006; Hanno Boeck <hanno@gentoo.org> amarok-1.4_beta1.ebuild:
  Moodbar / exscalibar support added.

  13 Feb 2006; Diego Pettenò <flameeyes@gentoo.org>
  -files/amarok-1.4_beta1-parallelmake.patch, amarok-1.4_beta1.ebuild:
  The patch for parallel make wasn't enough as configure file should be
  removed to recreate autotools (was already if using $LINGUAS). Instead of
  using it, uncomment the sed line fixing it.

  12 Feb 2006; Diego Pettenò <flameeyes@gentoo.org>
  -files/amarok-1.3.7-lyrc.patch, -amarok-1.3.7-r1.ebuild:
  Drop old 1.3.7-r1 version, foreseeing 1.3.8 as future stable.

*amarok-1.4_beta1 (12 Feb 2006)

  12 Feb 2006; Diego Pettenò <flameeyes@gentoo.org>
  +files/amarok-1.4_beta1-parallelmake.patch, +amarok-1.4_beta1.ebuild:
  Add 1.4_beta1 under package.mask, with patch to fix parallel make issues.

  05 Feb 2006; Diego Pettenò <flameeyes@gentoo.org> amarok-1.3.8.ebuild:
  Move the $LINGUAS handling to kde eclass.

  31 Jan 2006; Diego Pettenò <flameeyes@gentoo.org> amarok-1.3.8.ebuild:
  Make kioslaves an optional dependency on kde useflag, and add a notice about
  it on postinst.

  30 Jan 2006; Diego Pettenò <flameeyes@gentoo.org> amarok-1.3.8.ebuild:
  Add dependency over kdemultimedia or kdemultimedia-kioslaves, for audiocd:/
  support.

  26 Jan 2006; Diego Pettenò <flameeyes@gentoo.org> -files/amarok-gcc4.gz,
  -amarok-1.2.4.ebuild:
  Drop old, unsupported version, and compressed gcc4 patch.

  19 Jan 2006; Marcus D. Hanwell <cryos@gentoo.org> amarok-1.3.6.ebuild:
  Stable on amd64, bug 114493.

*amarok-1.3.8 (15 Jan 2006)

  15 Jan 2006; Diego Pettenò <flameeyes@gentoo.org> +amarok-1.3.8.ebuild:
  Version bump, add support for honouring LINGUAS, avoid building and
  installing extraneous data.

  11 Jan 2006; Diego Pettenò <flameeyes@gentoo.org> -amarok-1.3.7.ebuild:
  Drop old version.

  09 Jan 2006; Diego Pettenò <flameeyes@gentoo.org> amarok-1.3.7-r1.ebuild:
  Drop kdeenablefinal useflag, it used to work back in 1.2 series but it's not
  unsupported, and next release line will use unsermake so...

  04 Jan 2006; Diego Pettenò <flameeyes@gentoo.org> amarok-1.3.7-r1.ebuild:
  Add kdeenablefinal flag that can be used to actually build amaroK using
  --enable-final.

*amarok-1.3.7-r1 (25 Dec 2005)

  25 Dec 2005; Diego Pettenò <flameeyes@gentoo.org>
  +files/amarok-1.3.7-lyrc.patch, +amarok-1.3.7-r1.ebuild:
  Add patch to fix lyrics display, thanks to Ian Monroe for letting me know.

  24 Dec 2005; Michael Hanselmann <hansmi@gentoo.org> amarok-1.3.6.ebuild:
  Stable on ppc.

  23 Dec 2005; Markus Rothe <corsair@gentoo.org> amarok-1.3.7.ebuild:
  Added ~ppc64

  15 Dec 2005; Diego Pettenò <flameeyes@gentoo.org> amarok-1.3.6.ebuild:
  Fix dependency on tunepimp to 0.3, as 0.4 breaks API.

  15 Dec 2005; Chris White <chriswhite@gentoo.org> amarok-1.3.6.ebuild:
  x86 stable for bug #114493.

  13 Dec 2005; Diego Pettenò <flameeyes@gentoo.org> amarok-1.3.7.ebuild:
  Append -fno-inline to fix saltuary crashes on -O3 builds.

*amarok-1.3.7 (07 Dec 2005)

  07 Dec 2005; Diego Pettenò <flameeyes@gentoo.org> +amarok-1.3.7.ebuild:
  Update to latest upstream version.

  05 Dec 2005: Zaheer Merali <zaheerm@gentoo.org> amarok-1.3.6.ebuild,
  amarok-1.2.4.ebuild:
  Fix GStreamer dependencies
  
  29 Nov 2005; Diego Pettenò <flameeyes@gentoo.org> amarok-1.3.6.ebuild:
  Move icons in global prefix to close bug #113886.

  29 Nov 2005; Gregorio Guidi <greg_g@gentoo.org> amarok-1.2.4.ebuild:
  Change oggvorbis flag into vorbis (#94254).

*amarok-1.3.6 (08 Nov 2005)

  08 Nov 2005; Diego Pettenò <flameeyes@gentoo.org> -amarok-1.3.5.ebuild,
  +amarok-1.3.6.ebuild:
  Update to 1.3.6 (and removal of 1.3.5) that seems to fix the crash at startup.

  05 Nov 2005; Diego Pettenò <flameeyes@gentoo.org>
  -files/amarok-1.3.2-playlist.patch, -amarok-1.2.3.ebuild,
  -amarok-1.3.2-r1.ebuild, -amarok-1.3.3.ebuild:
  Remove old versions.

  28 Oct 2005; Jason Wever <weeve@gentoo.org> amarok-1.3.5.ebuild:
  Changed -sparc keyword to ~sparc.

*amarok-1.3.5 (25 Oct 2005)

  25 Oct 2005; Diego Pettenò <flameeyes@gentoo.org> -amarok-1.3.4.ebuild,
  +amarok-1.3.5.ebuild:
  Update to 1.3.5, as 1.3.4 seemed to have problems.

*amarok-1.3.4 (24 Oct 2005)

  24 Oct 2005; Diego Pettenò <flameeyes@gentoo.org> +amarok-1.3.4.ebuild:
  Bumped to 1.3.4.

  19 Oct 2005; Gregorio Guidi <greg_g@gentoo.org> amarok-1.3.3.ebuild:
  Do not force arts plugins, avoiding complications due to the fact that
  kde-base/artsplugins-akode will be providing them in KDE 3.5.

  11 Oct 2005; Diego Pettenò <flameeyes@gentoo.org> amarok-1.3.3.ebuild:
  Cleanup configure parameters, make sure musicbrainz is disabled when
  required, and forcefully disable extra engines.

*amarok-1.3.3 (09 Oct 2005)

  09 Oct 2005; Diego Pettenò <flameeyes@gentoo.org> +amarok-1.3.3.ebuild:
  Version bump following upstream.

*amarok-1.3.2-r1 (22 Sep 2005)

  22 Sep 2005; Diego Pettenò <flameeyes@gentoo.org>
  -files/amarok-1.3.1-gst-alsaagain.patch,
  -files/amarok-1.3.1-gst-onlyoss.patch, -files/amarok-1.3.1-qt-3.3.5.patch,
  +files/amarok-1.3.2-playlist.patch, -amarok-1.3.ebuild,
  -amarok-1.3.1-r1.ebuild, -amarok-1.3.1-r2.ebuild, -amarok-1.3.2.ebuild,
  +amarok-1.3.2-r1.ebuild:
  Added patch to fix crashes on startup with 1.3 series. Thanks to Mark
  Kretschmann for the patch. Purged old 1.3 ebuilds as they are not stable
  enough.

*amarok-1.3.2 (20 Sep 2005)

  20 Sep 2005; Diego Pettenò <flameeyes@gentoo.org> +amarok-1.3.2.ebuild:
  Version bump.

  18 Sep 2005; Diego Pettenò <flameeyes@gentoo.org>
  +files/amarok-1.3.1-qt-3.3.5.patch, amarok-1.3.1-r2.ebuild:
  Added patch to compile with qt 3.3.5 from amaroK's SVN repository. Closes
  bug #106366.

*amarok-1.3.1-r2 (11 Sep 2005)

  11 Sep 2005; Diego Pettenò <flameeyes@gentoo.org>
  +files/amarok-1.3.1-gst-alsaagain.patch, +amarok-1.3.1-r2.ebuild:
  Added patch to re-add support for alsasink with gstreamer engine. Thanks to
  Mark Kretschmann for submitting it.

  08 Sep 2005; Diego Pettenò <flameeyes@gentoo.org> amarok-1.3.1-r1.ebuild:
  Don't force using gst-plugins-oss, let the uesrs select what they want.
  Close #105298. The sed for libpq-fe is no more needed. Make musicbrainz
  optional with musicbrainz useflag. Close #105298.

*amarok-1.3.1-r1 (08 Sep 2005)

  08 Sep 2005; Diego Pettenò <flameeyes@gentoo.org>
  +files/amarok-1.3.1-gst-onlyoss.patch, -amarok-1.3.1.ebuild,
  +amarok-1.3.1-r1.ebuild:
  Added patch to avoid using autodetection with gstreamer (crashes when using
  alsa). Added a note for gstreamer users and a dependency over oss plugin.
  Consider using xine backend if you want alsa output.

*amarok-1.3.1 (06 Sep 2005)

  06 Sep 2005; Diego Pettenò <flameeyes@gentoo.org> +amarok-1.3.1.ebuild:
  Added amarok 1.3.1, masked due to problems with gstreamer and alsa.

*amarok-1.3 (15 Aug 2005)

  15 Aug 2005; Diego Pettenò <flameeyes@gentoo.org>
  -amarok-1.3_beta3.ebuild, +amarok-1.3.ebuild:
  Updated to amarok-1.3 final.

  08 Aug 2005; Gregorio Guidi <greg_g@gentoo.org> amarok-1.2.3.ebuild,
  amarok-1.2.4.ebuild, amarok-1.3_beta3.ebuild:
  Raise dependency on mysql for bug #101717.

  07 Aug 2005; Carsten Lohrke <carlo@gentoo.org> amarok-1.3_beta3.ebuild:
  fix build with postgres

*amarok-1.3_beta3 (01 Aug 2005)

  01 Aug 2005; Diego Pettenò <flameeyes@gentoo.org>
  +amarok-1.3_beta3.ebuild:
  New upstream version. Closes #101001. Still in package.mask being a beta.

  31 Jul 2005; Diego Pettenò <flameeyes@gentoo.org> amarok-1.2.3.ebuild,
  amarok-1.2.4.ebuild, amarok-1.3_beta1.ebuild, amarok-1.3_beta2.ebuild:
  Use ${KDEDIR} instead of kde-config to set PREFIX as it's not in path during
  src_compile().

  30 Jul 2005; Simon Stelling <blubb@gentoo.org> amarok-1.2.4.ebuild:
  stable on amd64

  10 Jul 2005; Joseph Jezak <josejx@gentoo.org> amarok-1.2.4.ebuild:
  Marked ppc stable.

  08 Jul 2005; Carsten Lohrke <carlo@gentoo.org> amarok-1.2.4.ebuild:
  stable on x86

  09 Jul 2005; Gregorio Guidi <greg_g@gentoo.org> amarok-1.3_beta2.ebuild:
  Move amarok.desktop in /usr/share/applications (#77515).

*amarok-1.3_beta2 (27 Jun 2005)

  27 Jun 2005; Diego Pettenò <flameeyes@gentoo.org>
  +amarok-1.3_beta2.ebuild:
  New upstream beta.

  22 Jun 2005; Hanno Boeck <hanno@gentoo.org> +files/amarok-gcc4.gz,
  amarok-1.2.4.ebuild:
  Fix for gcc4.

  17 Jun 2005; Joseph Jezak <josejx@gentoo.org> amarok-1.2.3.ebuild:
  Marked ppc stable.

  16 Jun 2005; Diego Pettenò <flameeyes@gentoo.org>
  amarok-1.3_beta1.ebuild:
  Amarok 1.3 depends on kde 3.3 not 3.4.

  08 Jun 2005; Gregorio Guidi <greg_g@gentoo.org> amarok-1.3_beta1.ebuild:
  Change flag 'oggvorbis' into 'vorbis' (#89592). Change 'mad' into 'mp3'. Add
  missing configure switches.

*amarok-1.3_beta1 (06 Jun 2005)

  06 Jun 2005; Heinrich Wendel <lanius@gentoo.org> +amarok-1.3_beta1.ebuild:
  version bump

*amarok-1.2.4 (21 May 2005)

  21 May 2005; Heinrich Wendel <lanius@gentoo.org> -amarok-1.2.ebuild,
  -amarok-1.2.1.ebuild, -amarok-1.2.2.ebuild, amarok-1.2.3.ebuild,
  +amarok-1.2.4.ebuild:
  version bump, cleanups

  14 May 2005; Heinrich Wendel <lanius@gentoo.org> amarok-1.2.3.ebuild:
  stable on amd64 and x86

  07 Apr 2005; Simon Stelling <blubb@gentoo.org> amarok-1.2.1.ebuild:
  stable on amd64

*amarok-1.2.3 (29 Mar 2005)

  29 Mar 2005; Jan Brinkmann <luckyduck@gentoo.org> +amarok-1.2.3.ebuild:
  new upstream version, thanks to Diego Pettenò <dgp85@users.sourceforge.net>

  21 Mar 2005; Gregorio Guidi <greg_g@gentoo.org> amarok-1.2.1.ebuild:
  Stable on x86.

*amarok-1.2.2 (18 Mar 2005)

  18 Mar 2005; Gregorio Guidi <greg_g@gentoo.org>
  +files/amarok-1.2.2-contextbrowser-cpu-fix.patch, +amarok-1.2.2.ebuild:
  New version (#85284). Correct gstreamer dependencies (#84663). Add support for
  visualization plugins through libvisual (#82165). Warn that aRts support is
  deprecated (as requested in bug #85542). Add patch to fix kde bug 101524.

*amarok-1.2.1 (01 Mar 2005)

  01 Mar 2005; Carsten Lohrke <carlo@gentoo.org> +amarok-1.2.1.ebuild:
  version bump

*amarok-1.2 (13 Feb 2005)

  13 Feb 2005; Gregorio Guidi <greg_g@gentoo.org> +amarok-1.2.ebuild:
  Version bump.

  02 Feb 2005; Gregorio Guidi <greg_g@gentoo.org> -files/amarok-1.0-cjk.diff,
  amarok-1.2_beta4.ebuild:
  Removed cjk patch, it does not apply anymore.

*amarok-1.2_beta4 (01 Feb 2005)

  01 Feb 2005; Gregorio Guidi <greg_g@gentoo.org> -amarok-1.2_beta2.ebuild,
  -amarok-1.2_beta3.ebuild, +amarok-1.2_beta4.ebuild:
  Version bump.

  30 Jan 2005; Jan Brinkmann <luckyduck@gentoo.org> amarok-1.1.1.ebuild:
  added missing libsdl dependency. fixes #72395

  15 Jan 2005; Dan Armak <danarmak@gentoo.org> amarok-1.0.2.ebuild,
  amarok-1.1.1.ebuild, amarok-1.2_beta2.ebuild, amarok-1.2_beta3.ebuild:
  Changed deps on kdebase, kdemultimedia to accept kdebase-meta and
  kdemultimedia-meta, the split 'meta' packages. This dep will be narrowed
  down in the future to the precise split packages required.

*amarok-1.2_beta3 (11 Jan 2005)

  11 Jan 2005; Jeremy Huddleston <eradicator@gentoo.org>
  +amarok-1.2_beta3.ebuild:
  Version bump closes bug #77185.

  04 Jan 2005; Jeremy Huddleston <eradicator@gentoo.org>
  amarok-1.1.1.ebuild, amarok-1.2_beta2.ebuild:
  Updating version on xine dependency per bug #70260.

  13 Dec 2004; Jeremy Huddleston <eradicator@gentoo.org>
  -amarok-1.2_beta1.ebuild, amarok-1.2_beta2.ebuild:
  Added mysql support.

*amarok-1.2_beta2 (12 Dec 2004)

  12 Dec 2004; Jeremy Huddleston <eradicator@gentoo.org>
  +amarok-1.2_beta2.ebuild:
  Version bump.

  04 Dec 2004; Jeremy Huddleston <eradicator@gentoo.org>
  amarok-1.1.1.ebuild, amarok-1.2_beta1.ebuild:
  Relaxing the arts dependency.  Closes bug #72869.

  30 Nov 2004; Sven Wegener <swegener@gentoo.org> amarok-1.1.1.ebuild,
  amarok-1.2_beta1.ebuild:
  Fixed invalid atoms in *DEPEND.

*amarok-1.2_beta1 (29 Nov 2004)

  29 Nov 2004; Jeremy Huddleston <eradicator@gentoo.org>
  amarok-1.1.1.ebuild, +amarok-1.2_beta1.ebuild:
  Version bump (package.mask'd beta) and fix missing depend on
  media-sound/kdemultimedia for CD playback.

  22 Nov 2004; Jeremy Huddleston <eradicator@gentoo.org>
  amarok-1.1.1.ebuild:
  -sparc

  12 Nov 2004; Jeremy Huddleston <eradicator@gentoo.org> -amarok-0.9.ebuild,
  amarok-1.1.1.ebuild:
  Cleanup.

  07 Nov 2004; Jeremy Huddleston <eradicator@gentoo.org>
  amarok-1.1.1.ebuild:
  Readded gstreamer support forcing the mad plugin to be installed for
  gstreamer support as the ffmpeg plugin won't work (see bug #66902).

  05 Nov 2004; Jeremy Huddleston <eradicator@gentoo.org>
  amarok-1.1.1.ebuild:
  Removing gstreamer support as it is horribly broken and uses 100% CPU under
  some circumstances... see bug #65434 comment #3.

  26 Oct 2004; Jeremy Huddleston <eradicator@gentoo.org>
  amarok-1.1.1.ebuild:
  Changing dep to =libvisual-0.1.6 to close bug #68731.

*amarok-1.1.1 (09 Oct 2004)

  09 Oct 2004; Jeremy Huddleston <eradicator@gentoo.org>
  +amarok-1.1.1.ebuild, -amarok-1.1.ebuild:
  Version bump for bug #66902.

  30 Sep 2004; Jeremy Huddleston <eradicator@gentoo.org> amarok-1.1.ebuild:
  Removed noamazon support as it is broken in this version. Fixed upstream for
  next release.

  28 Sep 2004; Jeremy Huddleston <eradicator@gentoo.org> amarok-1.1.ebuild:
  Added noamazon USE flag to turn off support for downloading covers from
  amazon.com

*amarok-1.0.1 (27 Sep 2004)

  27 Sep 2004; Jeremy Huddleston <eradicator@gentoo.org> -amarok-1.0.1.ebuild,
  -amarok-1.0.ebuild, -amarok-1.1_beta2.ebuild:
  Version bump and cleanup.

  22 Sep 2004; Jeremy Huddleston <eradicator@gentoo.org>
  amarok-1.1_beta2.ebuild:
  Added arts to IUSE.

*amarok-1.1_beta2 (15 Sep 2004)

  15 Sep 2004; Jeremy Huddleston <eradicator@gentoo.org>
  +amarok-1.1_beta2.ebuild:
  Version bump closes bug #61723.

  03 Sep 2004; Jeremy Huddleston <eradicator@gentoo.org>
  -amarok-1.0_beta3.ebuild, -amarok-1.0_beta4.ebuild:
  1.0.2 stable amd64, x86.  Removing old ebuilds.

*amarok-1.0.2 (09 Aug 2004)

  09 Aug 2004; Patrick Dawson <pkdawson@gentoo.org> amarok-1.0.2.ebuild:
  Version bump, closes bug #59600. Added a xine USE flag.
  Thanks to Andrew Cooks <andrew@expertron.co.za>

  06 Jul 2004; Frank van de Pol <fvdpol@gentoo.org> :
  Version bump, closes bug #55898.

  03 Jul 2004; Carsten Lohrke <carlo@gentoo.org> amarok-1.0.ebuild:
  QA: need-kde after R/DEPEND

  18 Jun 2004; Dominik Stadler <centic@gentoo.org> amarok-1.0.ebuild:
  According to the README we should require gstreamer 0.8.1

*amarok-1.0 (18 Jun 2004)

  18 Jun 2004; Dominik Stadler <centic@gentoo.org>
  +files/amarok-1.0-cjk-a.diff, +amarok-1.0.ebuild:
  Add Version 1.0, fixes Bug 54251 and add ~amd64, fixes Bug 54305

*amarok-1.0_beta4 (15 Jun 2004)

  15 Jun 2004; Jon Hood <squinky86@gentoo.org> +files/amarok-1.0-cjk.diff,
  amarok-1.0_beta3.ebuild, +amarok-1.0_beta4.ebuild:
  adding cjk patch and version bump from Jackey Yang <043936y@acadiau.ca>,
  closes #52930

*amarok-1.0_beta3 (22 May 2004)

  22 May 2004; Jon Hood <squinky86@gentoo.org> -amarok-0.7.0.ebuild,
  -amarok-0.8.3.ebuild, +amarok-1.0_beta3.ebuild:
  version bump, closes #51133

  25 Apr 2004; Danny van Dyk <kugelfang@gentoo.org> amarok-0.9.ebuild:
  marked ~amd64.

  24 Apr 2004; Heinrich Wendel <lanius@gentoo.org> amarok-0.7.0.ebuild,
  amarok-0.8.3.ebuild, amarok-0.9.ebuild, amarok-1.0_beta1.ebuild:
  fix depend

  20 Apr 2004; Jeremy Huddleston <eradicator@gentoo.org> amarok-0.7.0.ebuild,
  amarok-0.8.3.ebuild:
  Added IUSE.

*amarok-1.0_beta1 (12 Apr 2004)

  12 Apr 2004; Jeremy Huddleston <eradicator@gentoo.org>
  amarok-1.0_beta1.ebuild:
  Version bump closes bug #47539.

  14 Apr 2004; Heinrich Wendel <lanius@gentoo.org> amarok-0.7.0.ebuild,
  amarok-0.8.3.ebuild, amarok-0.9.ebuild:
  fix depend, mark 0.9 stable

  17 Mar 2004; David Holm <dholm@gentoo.org> amarok-0.9.ebuild:
  Added to ~ppc.

*amarok-0.9 (16 Mar 2004)

  16 Mar 2004; Heinrich Wendel <lanius@gentoo.org> amarok-0.9.ebuild,
  amarok-0.9_beta2.ebuild:
  version bump

  23 Feb 2004; Heinrich Wendel <lanius@gentoo.org> amarok-0.8.3.ebuild:
  mark x86

  23 Feb 2004; Heinrich Wendel <lanius@gentoo.org> amarok-0.9_beta2.ebuild:
  version bump

*amarok-0.7.0 (22 Jan 2004)
*amarok-0.8.3 (22 Jan 2004)

  22 Jan 2004; Heinrich Wendel <lanius@gentoo.org> amarok-0.6.0.ebuild,
  amarok-0.6.91.ebuild, amarok-0.7.0.ebuild, amarok-0.8.3.ebuild:
  version bump; mark 0.7.0 x86

  15 Nov 2003; Heinrich Wendel <lanius@gentoo.org> :
  bump

*amarok-0.6.91 (30 Oct 2003)

  30 Oct 2003; Heinrich Wendel <lanius@gentoo.org> amarok-0.6.91.ebuild:
  bump

  26 Sep 2003; Alex Veber <coronalvr@gentoo.org> amarok-0.6.0.ebuild:
  added a missing dep on kdemultimedia

*amarok-0.6.0 (21 Sep 2003)

  21 Sep 2003; jje <jje@gentoo.org> amarok-0.6.0.ebuild:
  Initial revision.
  
  Submitted by: Okrain Genady <mafteah@mafteah.co.il>

